
@import "../styles/variables";
	
/* FIX */

* {
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	font-size: 100%;
	-webkit-text-size-adjust: 100%;
}

/* PADDING */

.small-col-padding{
	padding-left: 10px;
	padding-right: 10px;
}
.col-padding {
	padding-left: 20px;
	padding-right: 20px;
}
.double-col-padding {
	padding-left: 40px;
	padding-right: 40px;
}
.small-row-padding{
	padding-top: 10px;
	padding-bottom: 10px;
}
.row-padding {
	padding-top: 20px;
	padding-bottom: 20px;
}
.double-row-padding {
	padding-top: 40px;
	padding-bottom: 40px;
}
.outer-margin{
	margin-left: -20px;
	margin-right: -20px;
}
.small-outer-margin{
	margin-left: -10px;
	margin-right: -10px;
}


/* COLUMNS  */

.main-column {
	clear: both;
	position: relative;
	margin: 0 auto;
	height: auto;
	max-width: 1400px;
}

.column-of-1 { width: 100% }
.column-of-2 { width: 50% }
.column-of-3 { width: 33.33% }
.double-column-of-3 { width: 66.66% }
.column-of-4 { width: 25% }
.column-of-5 { width: 20% }

.columns-1 { width: 8.33% }
.columns-2 { width: 16.66%; }
.columns-3 { width: 25%; }
.columns-4 { width: 33.33%; }
.columns-5 { width: 41.66%; }
.columns-6 { width: 50%; }
.columns-7 { width: 58.3%; }
.columns-8 { width: 66.66%; }
.columns-9 { width: 75%; }
.columns-10{ width: 83.33%; }
.columns-11{ width: 91.66%; }
.columns-12{ width: 100%; }

.columns8-1 { width: 12.5% }
.columns8-2 { width: 25%; }
.columns8-3 { width: 37.5%; }
.columns8-4 { width: 50%; }
.columns8-5 { width: 62.5%; }
.columns8-6 { width: 75%; }
.columns8-7 { width: 87.5%; }
.columns8-8 { width: 100%; }

.column-of-1,
.column-of-2,
.column-of-3,
.double-column-of-3,
.column-of-4,
.column-of-5,
.columns-1,
.columns-2,
.columns-3,
.columns-4,
.columns-5,
.columns-6,
.columns-7,
.columns-8,
.columns-9,
.columns-10,
.columns-11,
.columns-12{
		position: relative;
}
.center{
	margin: 0 auto;
}

/* TYPOGRAPHY */

html{
	font-family: 'ChakraPetch', sans-serif;
	font-size: 16px;
	line-height: 1.25;
}
h1,h2,h3,h4,h5,h6{
	font-weight: 300;
}
.hustle{
	font-family: The Hustle;
	font-size: 50px;
	line-height: 1;
	text-transform: lowercase;
}
.hustle.medium{
	font-size: 2.5em;
	letter-spacing: 0.8px;
}
.hustle.small{
	font-size: 1.5em;
	letter-spacing: 0.8px;
}
body{
	background-color: $background_color;
	color: white;
	margin: 0;
    font-size: 100%;
}
.bold{
	font-weight: bold;
}
.uppercase{
	text-transform: uppercase;
}
.nowrap{
	white-space: nowrap;
}
.align-center{
	text-align: center;
}
.align-right{
	text-align: right;
}
.small-font{
	font-size: 0.8em;
}
.medium-font{
	font-size: 1.25em;
}
h4, .medium-large-font{
	font-size: 1.5em;
}
h3, .large-font{
	font-size: 2em;
}
h2, .very-large-font{
	font-size: 3.25em;
}
h1, .title-font{
	font-size: 3.75em;
}


/* DEFAULTS */


.flex{
	display: flex;
}
.flex.space{
	justify-content: space-between;
}
.flex.h-center{
	justify-content: center;
}
.flex.h-right{
	justify-content: flex-end;
}
.flex.v-center{
	align-items: center;
}
.flex.v-top{
	align-items: flex-start;
}
.flex-fill{
	flex-basis: 100%;
}
input, select{
	font-family: 'ChakraPetch', sans-serif;
	font-size: 16px;
}
.noselect{
	user-select: none; 
}
input:not([type=checkbox]),
textarea,
select{
	padding: 10px 20px;
	border-radius: 10px;
	min-width: 180px;
	background-color: $darkestazure;
	color: $lightestazure;
	border: none;
	font-size: 1em;
	font-family: inherit;
	appearance: none;
	
	&:focus{
		outline: none;
	}
}
input[type=range]{
	height: 5px;
	cursor: pointer;
}
input[type=range]::-webkit-slider-thumb,
input[type=range]::-moz-range-thumb {
	-webkit-appearance: none;
	appearance: none;
	width: 10px;
	height: 32px;
	cursor: pointer;
	background: blue;
	border-radius: 0;
	box-shadow: none;
	border: none;
	cursor: pointer;
}
.vue-range-slider{
	padding-left: 0 !important;
	padding-right: 0 !important;
	
	.slider-process{
		background-color: $green !important;
		box-shadow: 0px 0px 3px 0px $green !important;
		z-index: 3 !important;
	}
	
	.slider{
		background-color: #4A3349 !important;
	}

	.slider-dot-handle{
	    background-color: $darkgreen !important;
		border: 4px solid $green !important;
		box-shadow: 0px 0px 3px 0px $green !important;
	}
}


.select{
	position: relative;
	
	select{
		cursor: pointer;
		padding-right: 30px;
	}
	
	&:after{
		content: '';
		position: absolute;
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20'%3E%3Cpath d='M12,4a8,8,0,1,1-8,8,8.011,8.011,0,0,1,8-8m0-2A10,10,0,1,0,22,12,10,10,0,0,0,12,2Zm0,13L8,11h8Z' transform='translate(-2 -2)' fill='%23b3edff'/%3E%3C/svg%3E%0A");
		width: 20px;
		height: 20px;
		background-color: var(--select-arrow);
		right: 10px;
		top: 10px;
		pointer-events: none;
	}
}


/* VUE TRANSITION */


.fade-enter-active, .fade-leave-active {
	transition: opacity .35s;
}
.fade-enter, .fade-leave-to{
	opacity: 0;
}
.slideright-enter-active, .slideright-leave-active {
	transition: 0.5s all;
	transform: translateX(100%);
}
.slideleft-enter-active, .slideleft-leave-active {
	transition: 0.5s all;
	transform: translateX(-100%);
}
.slideright-enter, .slideright-leave-to,
.slideleft-enter, .slideleft-leave-to{
	transform: translateX(0) !important;
}

/* VIEWPORTS */

@media screen and (max-width: 1480px) {
	.main-column{
		width: 95%;
	}
}


